Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059857 - [GSS] (6.3.0) Upgrade log4j-jboss-logmanager changed from 1.0.2.Final-redhat-1 to 1.1.0.Final
Summary: [GSS] (6.3.0) Upgrade log4j-jboss-logmanager changed from 1.0.2.Final-redhat-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR0
: EAP 6.3.0
Assignee: James Perkins
QA Contact: Nikoleta Ziakova
Russell Dickenson
URL:
Whiteboard:
Depends On: 1070452 1088618
Blocks: 1071479
TreeView+ depends on / blocked
 
Reported: 2014-01-30 19:45 UTC by James Perkins
Modified: 2018-12-05 17:07 UTC (History)
6 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1071479 (view as bug list)
Environment:
Last Closed: 2014-06-28 15:31:37 UTC
Type: Component Upgrade


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-42 Major Resolved JBOSS 6.2 EAP doesnt print jdk logging. 2017-07-17 17:10:29 UTC

Description James Perkins 2014-01-30 19:45:26 UTC
Fixes issues with the way the handler is assigned to loggers.

Comment 2 Andreas Niemeyer 2014-02-10 10:41:37 UTC
Hi,

I followed this issue and checked the HEARTBEAT category logging example under OS X and followed the recommendation of replacing the logmanager jar to 1.1.0-Final. 

Everything works with a log4j.xml, category definitions as well. Today within a windows environment the root logger works so far, but no categories anymore. It seems that something more is broken and leads to an inconsistent behavior between different system enviroments in that 1.1.0-Final.

Comment 3 Andreas Niemeyer 2014-02-10 10:59:19 UTC
One more thing: the files in the appenders get touched but nothing is written in there, only the root logger writes into the appenders file.

Kind regards,
Andreas

Comment 4 Andreas Niemeyer 2014-02-10 12:18:49 UTC
Ok, I got it: replacing the  log4j-jboss-logmanager jar is not enough, the need of update the org\jboss\logmanager\main\jboss-logmanager-1.5.2.Final.jar is also required!

Comment 5 Nikoleta Ziakova 2014-02-18 13:53:00 UTC
Verified with EAP 6.3.0 DR0

Comment 6 JBoss JIRA Server 2014-09-08 18:34:54 UTC
Brian Stansberry <brian.stansberry@redhat.com> updated the status of jira JBEAP-42 to Resolved


Note You need to log in before you can comment on or make changes to this bug.